Google Business · Google Business Food Menus
Fetches a food menus.
GET
https://api.pozy.ai/v1/accounts/{accountId}/gmb-food-menusgetGoogleBusinessFoodMenus
Guide: Services and food menus
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
locationId | string |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-food-menus" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-food-menus", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-food-menus",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successbooleanaccountIdstringlocationIdstringnamestringmenusarray of objectlabelsarray of objectrequiredAt least 1 item.
3 child fields
displayNamestringrequireddescriptionstringlanguageCodestring
sectionsarray of object2 child fields
labelsarray of objectrequiredAt least 1 item.
3 child fields
displayNamestringrequireddescriptionstringlanguageCodestring
itemsarray of object3 child fields
labelsarray of objectrequiredAt least 1 item.
3 child fields
displayNamestringrequireddescriptionstringlanguageCodestring
attributesobject7 child fields
priceobject3 child fields
currencyCodestringrequiredunitsstringrequirednanosinteger
spicinessstringOne of
SPICINESS_UNSPECIFIED,MILD,MEDIUM,HOT.allergenarray of stringdietaryRestrictionarray of stringservesNumPeopleintegerAt least 1.
preparationMethodsarray of stringmediaKeysarray of string
optionsarray of object2 child fields
labelsarray of objectrequiredAt least 1 item.
3 child fields
displayNamestringrequireddescriptionstringlanguageCodestring
attributesobjectrequired7 child fields
priceobject3 child fields
currencyCodestringrequiredunitsstringrequirednanosinteger
spicinessstringOne of
SPICINESS_UNSPECIFIED,MILD,MEDIUM,HOT.allergenarray of stringdietaryRestrictionarray of stringservesNumPeopleintegerAt least 1.
preparationMethodsarray of stringmediaKeysarray of string
cuisinesarray of stringsourceUrlstring (URL)
200 response
{
"success": true,
"accountId": "696e0b682d0a31188e7a2ba9",
"locationId": "6e99c3dd69982b334a43b0b2",
"name": "Acme",
"menus": [
{
"labels": [
{
"displayName": "Acme",
"description": "A short description",
"languageCode": "string"
}
],
"sections": [
{
"labels": [
{
"displayName": "Acme",
"description": "A short description",
"languageCode": "string"
}
],
"items": [
{
"labels": [
{}
],
"attributes": {
"price": {},
"spiciness": "SPICINESS_UNSPECIFIED",
"allergen": [],
"dietaryRestriction": [],
"servesNumPeople": 1,
"preparationMethods": [],
"mediaKeys": []
},
"options": [
{}
]
}
]
}
],
"cuisines": [
"string"
],
"sourceUrl": "https://pozy.ai/media/example-1.jpg"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.